Subject: [Mgs] The good, the bad, and the funny

From: Larry Colen <[email-masked]>
Date: Mon, 24 Aug 2020 13:58:47 -0700

The good news is that it looks like my house in Felton, in the Santa Cruz mountains will be spared from the fire. 

The bad news: My friend Pete who races the ZomBee MGB in LeMons wrote a heartbreaking story about nearly saving his house, and just barely escaping.

The funny:  We started packing when we went on evacuation warning, we didn't wait until mandatory evacuation. When Dick and Rochelle Nyquist (who I first met through the SOL list 30 years ago) barely escaped from a fire a few years back, that was a real wake up call. I already had a mental checklist of most of the high priority stuff to pack into my van.  When the van was full, we still hadn't gotten the mandatory evac notice, so I started packing the trailer.  I've been storing Jasmine, my BGT, in the trailer.  I don't have the resources to finish getting her back on the road, and I need the garage for other work.  Unloading the MG from the trailer would have taken more time than I felt I had, so I grabbed the blower, and a couple of other key pieces, put them in the passenger seat and just packed around her. 

A friend in Santa Cruz is letting me store the car at his place, so now I even have room in the trailer and have cleared out most of the stuff from our other cars.  
_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]